---
title: <mo>
slug: Web/MathML/Element/mo
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:Token Elements'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;mo&gt;</code> element represents an operator in a broad sense. Besides operators in strict mathematical meaning, this element also includes "operators" like parentheses, separators like comma and semicolon, or "absolute value" bars.</p>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-accent">accent</dt>
 <dd>If the operator is used as an <a href="/en-US/docs/MathML/Element/munder">under</a>- or <a href="/en-US/docs/MathML/Element/mover">overscript</a> this attribute specifies whether the operator should be treated as an accent.<br>
 Allowed values are <code>true</code> or <code>false</code>.</dd>
 <dt id="attr-class-id-style">class, id, style</dt>
 <dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
 <dt id="attr-dir">dir</dt>
 <dd>The text direction. Possible values are either <code>ltr</code> (left to right) or <code>rtl</code> (right to left).</dd>
 <dt id="attr-displaystyle"><code>displaystyle</code></dt>
 <dd>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas. The main effect is that larger versions of operators are displayed, when <code>displaystyle</code> is set to <code>true</code>. See also <code>largeop</code> and <code>movablelimits</code> on {{ MathMLElement("mo") }}.</dd>
 <dt id="attr-fence">fence</dt>
 <dd>There is no visual effect for this attribute, but it specifies whether the operator is a fence (such as parentheses).<br>
 Allowed values are <code>true</code> or <code>false</code>.</dd>
 <dt id="attr-form">form</dt>
 <dd>Specifies the role of the operator in an enclosed expression, which affects spacing and other default properties. For ordinary operators (+, -, etc. ) you usually do not need to specify this attribute explicitly.<br>
 Possible values are:
 <ul>
  <li><code>prefix</code>, for opening fences. (It is the default value if the operator is the first argument in a {{ MathMLElement("mrow") }} element with more than one argument.)</li>
  <li><code>infix</code>, for separators. (It is the default value if the operator is not included in a {{ MathMLElement("mrow") }} element.)</li>
  <li><code>postfix</code>, closing fences. (It is the default value if the operator is the last argument in a {{ MathMLElement("mrow") }} element with more than one argument.)</li>
 </ul>
 </dd>
 <dt id="attr-href">href</dt>
 <dd>Used to set a hyperlink to a specified URI.</dd>
 <dt id="attr-largeop">largeop</dt>
 <dd>Specifies whether the operator should be drawn larger than normal when <code>displaystyle="true"</code> is set. Allowed values are either <code>true</code> or <code>false</code>.</dd>
 <dt id="attr-lspace">lspace</dt>
 <dd>The amount of space before the operator (see <a href="/en-US/docs/MathML/Attributes/Values#Lengths">length</a> for values and units). The constant <code>thickmathspace</code> (5/18em) is the default value.</dd>
 <dt id="attr-mathbackground">mathbackground</dt>
 <dd>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathcolor">mathcolor</dt>
 <dd>The text color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathsize">mathsize</dt>
 <dd>The size of the content. See <a href="/en-US/docs/CSS/length">length</a> for possible values.<br>
 Deprecated values are: <code>small</code>, <code>normal</code> and <code>big</code>. These will be removed in the future.</dd>
 <dt id="attr-mathvariant">mathvariant</dt>
 <dd>This attribute specifies the logical class of the operator which varies in typography. That is, although the names suggest the typographic style for the class, semantically, items with the same class are treated "the same" within an expression, which might or might not involve displaying them with the named typography. The following values are allowed:
 <ul>
  <li><code>normal</code> (Default value) ; <math><mo mathvariant="normal">Example</mo></math></li>
  <li><code>bold</code> ; <math><mo mathvariant="bold">Example</mo></math></li>
  <li><code>italic</code> ; <math><mo mathvariant="italic">Example</mo></math></li>
  <li><code>bold-italic</code> ; <math><mo mathvariant="bold-italic">Example</mo></math></li>
 </ul>

 <ul>
  <li><code>double-struck</code> ; <math><mo mathvariant="double-struck">Example</mo></math></li>
  <li><code>bold-fraktur</code> ; <math><mo mathvariant="bold-fraktur">Example</mo></math></li>
  <li><code>script</code> ; <math><mo mathvariant="script">Example</mo></math></li>
  <li><code>bold-script</code> ; <math><mo mathvariant="bold-script">Example</mo></math></li>
  <li><code>fraktur</code> ; <math><mo mathvariant="fraktur">Example</mo></math></li>
 </ul>

 <ul>
  <li><code>sans-serif</code> ; <math><mo mathvariant="sans-serif">Example</mo></math></li>
  <li><code>bold-sans-serif</code> ; <math><mo mathvariant="bold-sans-serif">Example</mo></math></li>
  <li><code>sans-serif-italic</code> ; <math><mo mathvariant="sans-serif-italic">Example</mo></math></li>
  <li><code>sans-serif-bold-italic</code> ; <math><mo mathvariant="sans-serif-bold-italic">Example</mo></math></li>
  <li><code>monospace</code> ; <math><mo mathvariant="monospace">Example</mo></math></li>
 </ul>

 <ul>
  <li><code>initial</code> ; <math><mo mathvariant="initial">مثال</mo></math></li>
  <li><code>tailed</code> ; <math><mo mathvariant="tailed">مثال</mo></math></li>
  <li><code>looped</code> ; <math><mo mathvariant="looped">مثال</mo></math></li>
  <li><code>stretched</code> ; <math><mo mathvariant="stretched">مثال</mo></math></li>
 </ul>
 </dd>
 <dt id="attr-maxsize">maxsize</dt>
 <dd>If <code>stretchy</code> is <code>true</code>, this attribute specifies the maximum size of the operator. Allowed values are:
 <ul>
  <li><code>infinity</code></li>
  <li>an arbitrary <a href="/en-US/docs/MathML/Attributes/Values#Lengths">length</a></li>
 </ul>
 </dd>
 <dt id="attr-minsize">minsize</dt>
 <dd>If <code>stretchy</code> is <code>true</code>, this attribute specifies the minimum size of the operator. Allowed values are:
 <ul>
  <li><code>infinity</code></li>
  <li>an arbitrary <a href="/en-US/docs/MathML/Attributes/Values#Lengths">length</a></li>
 </ul>
 </dd>
 <dt id="attr-movablelimits">movablelimits</dt>
 <dd>Specifies whether attached under- and overscripts move to sub- and superscript positions when <code>displaystyle</code> is <code>false</code>.<br>
 Allowed values are either <code>true</code> or <code>false.</code></dd>
 <dt id="attr-rspace">rspace</dt>
 <dd>The amount of space after the operator (see <a href="/en-US/docs/MathML/Attributes/Values#Lengths">length</a> for values and units). The constant <code>thickmathspace</code> (5/18em) is the default value.</dd>
 <dt id="attr-separator">separator</dt>
 <dd>There is no visual effect for this attribute, but it specifies whether the operator is a separator (such as commas).<br>
 Allowed values are <code>true</code> or <code>false</code>.</dd>
 <dt id="attr-stretchy">stretchy</dt>
 <dd>Specifies whether the operator stretches to the size of the adjacent element.<br>
 Allowed values are <code>true</code> or <code>false</code>.</dd>
 <dt id="attr-symmetric">symmetric</dt>
 <dd>If <code>stretchy</code> is <code>true</code>, this attribute specifies whether the operator should be vertically symmetric around the imaginary math axis (centered fraction line).<br>
 The default value is <code>true</code> if <strong>stretchy</strong> is set to <code>true</code> and otherwise <code>false</code>. Allowed values are <code>true</code> or <code>false</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;math&gt;

&lt;mrow&gt;
  &lt;mn&gt;5&lt;/mn&gt;
  &lt;mo&gt;+&lt;/mo&gt;
  &lt;mn&gt;5&lt;/mn&gt;
&lt;/mrow&gt;

&lt;mrow&gt;
  &lt;mo&gt; [ &lt;/mo&gt; &lt;!-- default form value: prefix --&gt;
  &lt;mrow&gt;
    &lt;mn&gt; 0 &lt;/mn&gt;
    &lt;mo&gt; ; &lt;/mo&gt; &lt;!-- default form value: infix --&gt;
    &lt;mn&gt; 1 &lt;/mn&gt;
  &lt;/mrow&gt;
  &lt;mo&gt; ) &lt;/mo&gt; &lt;!-- default form value: postfix --&gt;
&lt;/mrow&gt;

&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#operator-fence-separator-or-accent-mo", "mo")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Draft specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML3', 'chapter3.html#presm.mo', 'mo') }}</td>
   <td>{{ Spec2('MathML3') }}</td>
   <td>Current specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML2', 'chapter3.html#presm.mo', 'mo') }}</td>
   <td>{{ Spec2('MathML2') }}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.mo")}}</p>

<h2 id="Gecko-specific_notes">Gecko-specific notes</h2>

<ul>
 <li>Starting with Gecko 16.0 {{ geckoRelease("16.0") }} the default values for <code>lspace</code> and <code>rspace</code> have been corrected to match the MathML3 specification. They now default to the constant <code>thickmathspace</code> (5/18em).</li>
 <li>Some <code>mathvariant</code> values are only implemented starting with Gecko 28.0 (Firefox 28.0 / Thunderbird 28.0 / SeaMonkey 2.25) and require appropriate <a href="/en-US/docs/Mozilla/MathML_Project/Fonts">math fonts</a>.</li>
 <li>Any <a class="external" href="http://www.w3.org/TR/MathML3/chapter3.html#presm.lbattrs">linebreaking</a> or <a class="external" href="http://www.w3.org/TR/MathML3/chapter3.html#presm.lbindent.attrs">indentation attributes</a> are not implemented yet. See {{ bug("534962") }}.</li>
</ul>
